[tool.poetry]
name = "dependency-update"
version = "0.1.2"
description = ""
authors = ["Transparent Financial Systems <engineering@transparent.us>"]
readme = "README.md"
packages = [{include = "dependency_update"}]
license = "MIT OR Apache-2.0"

[tool.poetry.dependencies]
python = "^3.9"
GitPython = "^3.1.27"
tomli = "^2.0.1"
toml = "^0.10.2"
tomli-w = "^1.0.0"
python-gitlab = "^3.9.0"
argparse = "^1.4.0"

[tool.poetry.scripts]
tests = "tasks:tests"
tests-integ = "tasks:tests_integ"
dependency-update = "dependency_update.cli:main"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
